%global         pypi_name    pymc

Name:           python-pymc
Version:        2.3.6
Release:        %mkrel 1
Group:          Sciences/Mathematics
Summary:        Markov Chain Monte Carlo sampling toolkit
License:        AFL
Url:            https://github.com/pymc-devs/pymc
Source0:        https://pypi.python.org/packages/source/p/pymc/pymc-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-numpy-devel
BuildRequires:  python-numpy-f2py
BuildRequires:  blas-devel
BuildRequires:  gcc-gfortran
BuildRequires:  lapack-devel
BuildRequires:  libatlas-devel
BuildRequires:  locales-en

%description
PyMC is a python module that implements Bayesian statistical models
and fitting algorithms, including Markov chain Monte Carlo. Its
flexibility and extensibility make it applicable to a large suite of
problems. Along with core sampling functionality, PyMC includes
methods for summarizing output, plotting, goodness-of-fit and
convergence diagnostics.




%package -n python3-pymc
Summary:        Python3 implementation of PyMC
Group:          Sciences/Mathematics
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-numpy-f2py
BuildRequires:  blas-devel
BuildRequires:  gcc-gfortran
BuildRequires:  lapack-devel
BuildRequires:  libatlas-devel
BuildRequires:  locales-en


%description -n python3-pymc
%{summary}.


%prep
%setup -q -n %{pypi_name}-%{version}



%build
export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
export LANGUAGE=en_US:en
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files
%doc 
%{python2_sitearch}/%{pypi_name}
%{python2_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info



%files -n python3-pymc
%doc 
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Fri Dec 16 2016 eatdirt <eatdirt> 2.3.6-1.mga6
+ Revision: 1075724
- Fix missing BR to locales-en
- export LANG to fix python3 built failure
- Upgrade to version 2.3.6 + adding python3 build

* Fri Feb 05 2016 umeabot <umeabot> 2.2-9.mga6
+ Revision: 937386
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 tv <tv> 2.2-8.mga6
+ Revision: 898701
- BR python-numpy-f2py
- BR blas-devel + lapack-devel

* Wed Oct 15 2014 umeabot <umeabot> 2.2-7.mga5
+ Revision: 743590
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.2-6.mga5
+ Revision: 729465
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.2-5.mga5
+ Revision: 688263
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.2-3.mga4
+ Revision: 543972
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.2-2.mga4
+ Revision: 499237
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 04 2013 joequant <joequant> 2.2-1.mga4
+ Revision: 463079
- add gfortran
- add numpy build requires
- imported package python-pymc

